package org.greenstone.client;

import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.DOM;
import com.google.gwt.user.client.Element;
import com.google.gwt.user.client.ui.Label;

public class MenuItem
{
	protected Element _menuElement = DOM.createDiv();
	protected ClickHandler _onClick = null;
	
	public MenuItem(String text, ClickHandler onClick)
	{
		_menuElement.getStyle().setProperty("cursor", "pointer");
		_menuElement.setInnerText(text);
		
		_onClick = onClick;
	}
	
	public ClickHandler getClickHandler()
	{
		return _onClick;
	}
	
	public Element getMenuElement()
	{
		return _menuElement;
	}
}